Summary:	XDG user dirs
Name:		xdg-user-dirs
Version:	0.15
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.xz
Patch0:		xdg-user-dirs-0.8-locale.patch
Patch1:		xdg-user-dirs-0.11-mdv.patch
Patch3:		xdg-user-dirs-0.13-mdkfolders.patch
Patch4:		xdg-user-dirs-0.10-home.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%description -l de
xdg-user-dirs ist ein Werkzeug zur Unterstützung und Verwaltung 
"bekannten" Benutzer Verzeichnisse wie der Desktop-Ordner und Musik-Ordner. 
Es verwaltet auch Lokalisierung (Übersetzung) der Dateinamen.

%prep
%setup -q
%patch0 -p1 -b .locale
%patch1 -p1 -b .mdv
%patch3 -p1 -b .mdkfolders
%patch4 -p1 -b .home

%build
%configure2_5x
%make

make -C po update-po

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d/
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update << EOF
#!/bin/sh
if [ -x %{_bindir}/xdg-user-dirs-update ]; then
  %{_bindir}/xdg-user-dirs-update
fi
EOF

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%attr(755,root,root) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update
%{_mandir}/man1/xdg-user-dir.1.*
%{_mandir}/man1/xdg-user-dirs-update.1.*
%{_mandir}/man5/user-dirs.conf.5.*
%{_mandir}/man5/user-dirs.defaults.5.*
%{_mandir}/man5/user-dirs.dirs.5.*


%changelog
* Fri Nov 12 2015 bb <bb> 0.15-1pclos2015
- update

* Tue Jun 21 2011 Texstar <texstar at gmail.com> 0.14-1pclos2011
- 0.14

* Mon Dec 28 2009 maik3531 <maik3531 at yahoo dot de> 0.12-1pclos2010
- Import xdg-user-dirs

